Validate tables

Validate tables#

Description#

Validates the tables in the workspace associated with the request. Validation returns an entity that indicates the tables deleted due to bad state, and those with enough state and repaired.

POST /api/v1/admin/validation/tables

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Code Samples#

curl -X POST https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/validation/tables \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http POST https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/validation/tables \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=POST "https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/validation/tables" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.post('https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/validation/tables', headers = headers)

print(r.json())

Returns#

201 - Created#

Returns a JSON object with a body property, which contains a ValidateTablesDto object.

Example Responses#

{
  "body": {
    "deletedTables": [
      {
        "created": "string",
        "databaseId": "string",
        "datasetUpdated": "string",
        "deleted": "boolean",
        "description": "string",
        "hierarchyMetadata": {
          "childColumnId": "string",
          "parentColumnId": "string"
        },
        "id": "string",
        "isShared": "boolean",
        "lastUploaded": "string",
        "name": "string",
        "parentId": "string",
        "readOnly": "boolean",
        "tableSchema": {
          "columns": [
            {
              "alias": "string",
              "description": "string",
              "metadata": {},
              "mode": "string",
              "name": "string",
              "type": "string"
            }
          ]
        },
        "type": "string",
        "uniqueTableConstraints": [
          {
            "description": "string",
            "id": "string",
            "name": "string",
            "tableId": "string",
            "values": [
              "string"
            ]
          }
        ],
        "updated": "string",
        "userId": "string",
        "version": "integer"
      }
    ],
    "repairedTables": [
      {
        "created": "string",
        "databaseId": "string",
        "datasetUpdated": "string",
        "deleted": "boolean",
        "description": "string",
        "hierarchyMetadata": {
          "childColumnId": "string",
          "parentColumnId": "string"
        },
        "id": "string",
        "isShared": "boolean",
        "lastUploaded": "string",
        "name": "string",
        "parentId": "string",
        "readOnly": "boolean",
        "tableSchema": {
          "columns": [
            {
              "alias": "string",
              "description": "string",
              "metadata": {},
              "mode": "string",
              "name": "string",
              "type": "string"
            }
          ]
        },
        "type": "string",
        "uniqueTableConstraints": [
          {
            "description": "string",
            "id": "string",
            "name": "string",
            "tableId": "string",
            "values": [
              "string"
            ]
          }
        ],
        "updated": "string",
        "userId": "string",
        "version": "integer"
      }
    ]
  },
  "code": "integer"
}